package com.mvc.dao;

import com.mvc.entity.TPackLog;
import com.mvc.entity.TPackLogExample;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface TPackLogMapper {
    /**
     * @Description: 
     * @Author: guozhao
     * @CreateDate: 2024-09-14 16:52:46
     */
    long countByExample(TPackLogExample example);

    /**
     * @Description: 
     * @Author: guozhao
     * @CreateDate: 2024-09-14 16:52:46
     */
    int deleteByExample(TPackLogExample example);

    /**
     * @Description: 
     * @Author: guozhao
     * @CreateDate: 2024-09-14 16:52:46
     */
    int deleteByPrimaryKey(Integer id);

    /**
     * @Description: 
     * @Author: guozhao
     * @CreateDate: 2024-09-14 16:52:46
     */
    int insert(TPackLog record);

    /**
     * @Description: 
     * @Author: guozhao
     * @CreateDate: 2024-09-14 16:52:46
     */
    int insertSelective(TPackLog record);

    /**
     * @Description: 
     * @Author: guozhao
     * @CreateDate: 2024-09-14 16:52:46
     */
    List<TPackLog> selectByExample(TPackLogExample example);

    /**
     * @Description: 
     * @Author: guozhao
     * @CreateDate: 2024-09-14 16:52:46
     */
    TPackLog selectByPrimaryKey(Integer id);

    /**
     * @Description: 
     * @Author: guozhao
     * @CreateDate: 2024-09-14 16:52:46
     */
    int updateByExampleSelective(@Param("record") TPackLog record, @Param("example") TPackLogExample example);

    /**
     * @Description: 
     * @Author: guozhao
     * @CreateDate: 2024-09-14 16:52:46
     */
    int updateByExample(@Param("record") TPackLog record, @Param("example") TPackLogExample example);

    /**
     * @Description: 
     * @Author: guozhao
     * @CreateDate: 2024-09-14 16:52:46
     */
    int updateByPrimaryKeySelective(TPackLog record);

    /**
     * @Description: 
     * @Author: guozhao
     * @CreateDate: 2024-09-14 16:52:46
     */

    int updateByPrimaryKey(TPackLog record);

    List<String> selectDistinctUnParsecode_DT(String flag);

    /**
     * 查询未解析的组ID列表
     * @param flag
     * @return
     * 2022-07-14 guozhao
     */
    List<String> selectDistinctUnParsecode_PackGid_DT(String flag);
}